models/Productos.php
<?php

namespace app\models;

use Yii;

/**
 * This is the model class for table "productos".
 *
 * @property int $ID
 * @property string|null $nombre
 * @property string|null $foto
 * @property string|null $descripcion
 * @property float|null $precio
 * @property int|null $oferta
 */
class Productos extends \yii\db\ActiveRecord
{
    /**
     * {@inheritdoc}
     */
    public static function tableName()
    {
        return 'productos';
    }

    /**
     * {@inheritdoc}
     */
    public function rules()
    {
        return [
            [['precio'], 'number'],
            [['oferta'], 'integer'],
            [['nombre'], 'string', 'max' => 15],
            [['foto'], 'string', 'max' => 20],
            [['descripcion'], 'string', 'max' => 40],
        ];
    }

    /**
     * {@inheritdoc}
     */
    public function attributeLabels()
    {
        return [
            'ID' => 'ID',
            'nombre' => 'Nombre',
            'foto' => 'Foto',
            'descripcion' => 'Descripcion',
            'precio' => 'Precio',
            'oferta' => 'Oferta',
        ];
    }
}

controllers/SiteController.php
<?php

namespace app\controllers;

use Yii;
use yii\filters\AccessControl;
use yii\web\Controller;
use yii\web\Response;
use yii\filters\VerbFilter;
use app\models\LoginForm;
use app\models\ContactForm;
use yii\data\ActiveDataProvider;
use app\models\Productos;

class SiteController extends Controller
{
    /**
     * {@inheritdoc}
     */
    public function behaviors()
    {
        return [
            'access' => [
                'class' => AccessControl::className(),
                'only' => ['logout'],
                'rules' => [
                    [
                        'actions' => ['logout'],
                        'allow' => true,
                        'roles' => ['@'],
                    ],
                ],
            ],
            'verbs' => [
                'class' => VerbFilter::className(),
                'actions' => [
                    'logout' => ['post'],
                ],
            ],
        ];
    }

    /**
     * {@inheritdoc}
     */
    public function actions()
    {
        return [
            'error' => [
                'class' => 'yii\web\ErrorAction',
            ],
            'captcha' => [
                'class' => 'yii\captcha\CaptchaAction',
                'fixedVerifyCode' => YII_ENV_TEST ? 'testme' : null,
            ],
        ];
    }

    /**
     * Displays homepage.
     *
     * @return string
     */
    public function actionIndex()
    {
        return $this->render('index');
    }
      public function actionOfertas()
    {
        return $this->render('ofertas');
      
    }
       public function actionProductos()
    {
        $registro=Productos::find()->all();
        return $this->render('productos',
                    ['datos'=>$registro]);
        
    }

    public function actionCategorias(){
        return $this->render('categorias');
    }
    
    public function actionContacto()
    {
        return $this->render('contacto');
    }
    
      public function actionNosotros()
    {
        return $this->render('nosotros');
    }
      public function actionEstamos()
    {
        return $this->render('estamos');
    }
      public function actionSomos()
    {
        return $this->render('somos');
    }
      public function actionProductosb()
    {
        return $this->render('productosb');
    }
      public function actionInformacion()
    {
        return $this->render('informacion');
    }

   
}

views/layouts/main.php
<?php

/* @var $this \yii\web\View */
/* @var $content string */

use app\widgets\Alert;
use yii\helpers\Html;
use yii\bootstrap\Nav;
use yii\bootstrap\NavBar;
use yii\widgets\Breadcrumbs;
use app\assets\AppAsset;

AppAsset::register($this);
?>
<?php $this->beginPage() ?>
<!DOCTYPE html>
<html lang="<?= Yii::$app->language ?>">
<head>
    <meta charset="<?= Yii::$app->charset ?>">
    <meta http-equiv="X-UA-Compatible" content="IE=edge">
    <meta name="viewport" content="width=device-width, initial-scale=1">
    <?php $this->registerCsrfMetaTags() ?>
    <title><?= Html::encode($this->title) ?></title>
    <?php $this->head() ?>
</head>
<body>
<?php $this->beginBody() ?>

<div class="wrap">
    <?php
    NavBar::begin([
        'brandLabel' => Yii::$app->name,
        'brandUrl' => Yii::$app->homeUrl,
        'options' => [
            'class' => 'navbar-inverse navbar-fixed-top',
        ],
    ]);
    echo Nav::widget([
        'options' => ['class' => 'navbar-nav navbar-right'],
        'encodeLabels'=>false,
        'items' => [
            ['label' => '<i class="glyphicon glyphicon-home"></i> Inicio', 'url' => ['/site/index']],
            ['label' => '<i class="glyphicon glyphicon-ok"></i> Ofertas', 'url' => ['/site/ofertas']],
            ['label' => '<i class="glyphicon glyphicon-gift"></i>Productos', 'url' => ['/site/productos']],
            ['label' => '<i class="glyphicon glyphicon-certificate"></i> Categorias', 'url' => ['/site/categorias']],
            ['label' => '<i class="glyphicon glyphicon-info-sign"></i> Contacto', 'url' => ['/site/contacto']],
            ['label' => '<i class="glyphicon glyphicon-list-alt"></i> Nosotros',
                'items'=>[
                  ['label' => ' Donde Estamos', 'url' => ['site/estamos']],
                  ['label' => ' Quienes Somos', 'url' => ['site/somos']],  
                  ['label' => ' Nuestros Productos', 'url' => ['site/productosb']], 
                   '<li class="divider"></li>',
                  ['label' => 'Información', 'url' => ['site/informacion']],
               ]],
           ],
    ]);
    NavBar::end();
    ?>

    <div class="container">
        <?= Breadcrumbs::widget([
            'links' => isset($this->params['breadcrumbs']) ? $this->params['breadcrumbs'] : [],
        ]) ?>
        <?= Alert::widget() ?>
        <?= $content ?>
    </div>
</div>



<?php $this->endBody() ?>
</body>
</html>
<?php $this->endPage() ?>

views/site/error.php
<?php

/* @var $this yii\web\View */
/* @var $name string */
/* @var $message string */
/* @var $exception Exception */

use yii\helpers\Html;

$this->title = $name;
?>
<div class="site-error">

    <h1><?= Html::encode($this->title) ?></h1>

    <div class="alert alert-danger">
        <?= nl2br(Html::encode($message)) ?>
    </div>

    <p>
        The above error occurred while the Web server was processing your request.
    </p>
    <p>
        Please contact us if you think this is a server error. Thank you.
    </p>

</div>

views/site/index.php
<?php

/* @var $this yii\web\View */

use yii\helpers\Html;

$this->title = 'My Yii Application';
?>
<div class="site-index">

    <div class="jumbotron">
        <h1>Felicidades!</h1>

        <p class="lead">Has accedido a yii.</p>

        <p><a class="btn btn-lg btn-success" href="http://www.yiiframework.com">Entra en Yii</a></p>
    </div>

    <div class="body-content">

        <div class="row">
            <div class="col-lg-4">

                <p>Lorem ipsum dolor sit amet, consectetur adipisicing elit, sed do eiusmod tempor incididunt ut labore et
                    dolore magna aliqua. Ut enim ad minim veniam, quis nostrud exercitation ullamco laboris nisi ut aliquip
                    ex ea commodo consequat. Duis aute irure dolor in reprehenderit in voluptate velit esse cillum dolore eu
                    fugiat nulla pariatur.</p>
            </div>
            <?=
            Html::img("@web/img/foto.jpg",[
                "class"=>"img-responsive img-circle center-block",
                "alt"=>"foto"
            ]);
            
            ?>
            <div class="col-lg-4">
                

                <p>Lorem ipsum dolor sit amet, consectetur adipisicing elit, sed do eiusmod tempor incididunt ut labore et
                    dolore magna aliqua. Ut enim ad minim veniam, quis nostrud exercitation ullamco laboris nisi ut aliquip
                    ex ea commodo consequat. Duis aute irure dolor in reprehenderit in voluptate velit esse cillum dolore eu
                    fugiat nulla pariatur.</p>
            </div>
        </div>

    </div>
</div>

views/site/productos.php
<?php
use yii\grid\GridView;

echo GridView::widget([
    'dataProvider'=>$datos,
]);

?>